package cn.ssm.test;

/*
* 导入Java中数据库的接口
* */
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
import java.sql.ResultSet;

/**
 * @author 32841
 */
public class JDBCTest {
    public static void main(String[] args) throws Exception {  // 添加抛出异常到方法签名
        Connection connection = null;  // 使定义数据库连接对象
        PreparedStatement prepareStatement = null;  // 定义执行SQL语句的对象
        ResultSet rs = null;  // 定义数据库返回结果集对象

        try {
            // 加载驱动
            Class.forName("com.mysql.cj.jdbc.Driver");
            // 获取连接
            String url = "jdbc:mysql://127.0.0.1:3306/ssmdemo";
            String user = "root";
            String password = "dcsy961618762";
            connection = DriverManager.getConnection(url, user, password);
            // 获取statement，preparedStatement
            String sql = "select * from tb_user where id=?";  // 防SQL注入处理
            prepareStatement = connection.prepareStatement(sql);  // 执行SQL语句
            // 设置参数
            prepareStatement.setLong(1, 3L);  // 设置占位符的值，第一个参数是索引值，第二个是值
            // 执行查询
            rs = prepareStatement.executeQuery();  // rs就是数据库查询返回的结果集
            // 处理结果集
            while (rs.next()) {  // 行指针
                System.out.println(rs.getString("user_name"));
                System.out.println(rs.getString("name"));
                System.out.println(rs.getInt("age"));
                System.out.println(rs.getDate("birthday"));
            }
        } finally {
            // 关闭连接，释放资源
            if (rs != null) {
                rs.close();
            }
            if (prepareStatement != null) {
                prepareStatement.close();
            }
            if (connection != null) {
                connection.close();
            }
        }
    }
}
